Subject: RE: draft-shiomoto-ccamp-lsp-hierarchy-bis-00.txt

From: "Zafar Ali \(zali\)" <[email-masked]>
Date: Tue, 8 Nov 2005 21:18:53 -0500

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Don Fedyk
> Sent: Tuesday, November 08, 2005 10:06 AM
> To: [email-masked]
> Cc: Adrian Farrel; Arthi Ayyangar; Richard Rabbat; Kohei Shiomoto
> Subject: draft-shiomoto-ccamp-lsp-hierarchy-bis-00.txt
> 
> Hi
> 
> Thanks for the presentation yesterday. A thought occurred to 
> me about the numbered versus unnumbered issue in your draft. 
> (Note I will not refer to the multiple instances of the 
> control plane since as discussed
> in the meeting I think this should be out of scope).   
> 
Don, 

Do you agree that we need to support di-directional FA-LSP? 

If we agree that "dynamic FA-LSP" is a good thing, I see no other way
around but to have the hooks that are needed to flood the TE link at the
Egress properly. E.g., use of RRO will be useful to infer the SRLG and
AW for the TE link for flooding. 

I am not happy that we agree with dynamic FA-LSP, but do not agree with
the hooks that are needed to make bi-directional FA-LSP floodable w/o
having to apply configurations at the Egress LSR. 

> What I like about the unnumbered identifiers are they are 
> hierarchical under the GMPLS node ID. I would suggest that 
> even when an interface is numbered it could have an 
> unnumbered identifiers as well

Why? Also this is not a valid assumption. 

> and the numbered interface not 
> be assumed to be advertised but assumed instead to be an 
> identifier. It is in my opinion a special case when the 
> numbered interface is out of the same address plan as the 
> GMPLS control plane.  Generally we should not assume this is 
> true and separating the local identifier context from the 
> GMPLS control addressing has advantages.  (already 
> illustrated by your draft). 
> 
> If we treated all links this way they could have different 
> identifiers for the purpose of identification and signaling 
> in the link identifier space (e.g. IP, MAC, NSAP etc) and 
> uniformly use unnumbered identifiers for all routing and TE 
> advertisement.  I realize this is not the way that unnumbered 
> links came about but this might be the more "generalized" way 
> to address this.
> 
> Did you consider this option?

I am not sure if I get what you are proposing a 100%, but it does NOT
look like a valid assumption or trivial change. May be we can chat after
RTG meeting. 

Thanks

Regards... Zafar 

> Regards,
> Don